// Copyright 2020 Igor Tolmachev, ITSamples.com. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License"); /
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ==============================================================================

package com.itsamples.telnet;

class CustomMenuItem
{
    private String mCaption = null;
    private int mImageResourceId = -1;
    private int mId = -1;

    void setCaption(String strCaption) {
        mCaption = strCaption;
    }

    String getCaption() {
        return mCaption; 
    }

    void setImageResourceId(int nImageResourceId) {
        mImageResourceId = nImageResourceId;
    }

    int getImageResourceId() {
        return mImageResourceId;
    }

    public void setId(int id) {
        mId = id;
    }

    public int getId() {
        return mId; 
    }
}
